@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.millglove-slider-section-comforts {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  background: $cream-40;

  .slide-sec {
    padding: 0 50px;
    height: 100vh;
    display: flex;
    align-items: center;
    background: $cream-40;
  }

  .title1 {
    font-size: 75px;

    @include desktop-lg {
      font-size: 90px;
    }
  }

  .img-box {
    height: 600px;
    width: 666px;
    position: relative;
    overflow: hidden;

    @include desktop-lg {
      height: 700px;
      width: 800px;
    }
    @include desktop-xlg {
      height: 750px;
      width: 850px;
    }

    img {
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
      left: 0;
      object-fit: cover;
    }
  }

  .text-div {
    margin-bottom: 100px;
    margin-top: auto;
    .title {
      > div {
        font-family: 'Editorial New';
        font-style: normal;
        font-weight: 200;
        font-size: 50px;
        letter-spacing: 0.01em;
        text-transform: capitalize;
        display: flex;
        align-items: center;
        line-height: 1.1em;
        > span {
          display: block;
          margin: 40px 0;
          font-family: 'Notera';
          font-style: normal;
          font-weight: 400;
          text-transform: lowercase;
          font-size: 50px;
          line-height: 110%;
          letter-spacing: 0.01em;
          color: #9c7e61;
          &::first-letter {
            text-transform: capitalize;
          }
          > span {
            display: inline;
            font-family: 'Notera';
            @media (max-width: 1024px) {
              display: none;
            }
          }
        }
      }
    }
    .content {
      font-family: 'Manrope';
      font-style: normal;
      font-weight: 400;
      font-size: 20px;
      color: #262e2f;
      opacity: 0.7;
      width: 44ch;
      margin-top: 20px;

      @include desktop-lg {
        font-size: 26px;
      }
    }
  }

  .mg-first-fold-header {
    margin-top: 34px;
    text-align: center;

    @include mobile {
      display: none;
    }
  }

  .mg-first-fold-top-text {
    position: absolute;
    top: 26px;
    right: 46px;
    z-index: 1;
    font-weight: 600;
    font-size: 14px;
    text-align: right;
    letter-spacing: 0.01em;
    text-transform: uppercase;
    color: white;

    @include tablet-p {
      display: none;
    }
    @include mobile {
      display: none;
    }

    a {
      margin-bottom: 8px;
      display: block;
      color: white;
      text-decoration: none;
    }
  }

  .philosophie {
    position: relative;

    .pin-spacer {
      height: 500vh !important;
    }
  }

  .vh {
    height: 20vh;
    background-color: transparent;
  }
}
